Bug 125237 - Gnome freezes after root password prompt
Gnome freezes after root password prompt
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2004-06-03 19:17 EDT by Simon Morgan
Modified: 2013-07-02 19:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 05:00:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Simon Morgan 2004-06-03 19:17:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8 StumbleUpon/1.903

Description of problem:
When running a program from the menu that requires root privelages I
get prompted for a password. If after typing in the password I hit
enter instead of clicking OK, X freezes up. Switching to a virtual
console doesn't work, CTRL+ALT+Backspace doesn't work and CTRL+ALT+DEL
doesn't work. The only way to recover is to hit the reboot key.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run a program that requires root privelages from the menu
2. Type in your password
3. Hit enter (Clicking OK will not reproduce this bug for me)

Actual Results:  X freezes.

Expected Results:  I get authenticated and the program runs.

Additional info:
Comment 1 Simon Morgan 2004-06-04 07:38:20 EDT
It's now doing it even when I click OK. I launched the Add/Remove
program, typed in my password, clicked OK and although the program
ran, it froze immediately. Is there anyway to get a log of what
userhelper is doing?

Also it seems that CTRL+ALT+Del does work, it was just taking longer
than I expected.
Comment 2 Simon Morgan 2004-06-05 19:48:41 EDT
X does *not* freeze (Although attempting to close it seems to freeze X
and the entire system). I am able to navigate using the keyboard,
doing so I was able to check the output from dmesg and noticed:

usb 2-2: control timeout on ep0in

This bug seems to have exactly the same effects as another bug I've
reported (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=125389)
which leads me to believe they're related, although how I don't know.
Are userhelper, hwbrowser and kudzu related somehow?
Comment 3 Jindrich Novy 2004-09-21 05:00:19 EDT
Simon, I'm unable to reproduce this on FC2, gnome-desktop-
It looks weird. The possible problem is a broken installation I guess.
But after seeing the bug above I doubt it is hardware issue. The
hwbrowser also works for me.
Comment 4 Simon Morgan 2004-09-21 10:50:04 EDT
Sorry I didn't report this sooner, the bug is caused by/related to a
VIA USB chipset bug in earlier 2.6 kernels (the only info i can find
about it is at http://www.mandrakelinux.com/en/100errata.php3). I
still have no idea why this stuff is being invoked just to
authenticate me (happens under KDE as well IIRC).

Note You need to log in before you can comment on or make changes to this bug.